## r-bioc-graph 1.38.3

=== DESCRIPTION ===
Package: graph
Title: graph: A package to handle graph data structures
Version: 1.38.3
Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
Description: A package that implements some simple graph handling
        capabilities.
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
License: Artistic-2.0
Depends: R (>= 2.10), methods
Imports: methods, stats, stats4, tools, utils, BiocGenerics (>= 0.1.11)
Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster
Enhances: Rgraphviz
biocViews: GraphsAndNetworks
Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
        methods-graph.R graphNEL.R clustergraph.R NELhandler.R
        edgefunctions.R graphfunctions.R GXLformals.R gxlReader.R
        random.R write.tlp.R mat2graph.R settings.R zzz.R
        standardLabeling.R TODOT.R methods-graphAM.R attrData.R
        reverseEdgeDirections.R nodes-methods.R methods-multiGraph.R
        test_graph_package.R MultiGraph.R methods-graphBAM.R
        graph-constructors.R
LazyLoad: yes
Packaged: 2013-07-19 04:07:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-graph (1.38.3-1) unstable; urgency=low

  * Initial release (closes: #720583)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 09:23:02 +0200

=== debian/control ===
Source: r-bioc-graph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-biocgenerics
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-graph/trunk/
Homepage: http://bioconductor.org/packages/2.12/bioc/html/graph.html

Package: r-bioc-graph
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
          ${shlibs:Depends},
         r-bioc-biocgenerics
Description: handle graph data structures for BioConductor
 This BioConductor module implements some simple graph handling
 capabilities.  These are for instance used in hypergraph module
 which in turn is used by several other BioConductor packages.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/graph.html .*/graph_([\d\.]+)\.tar\.gz

## r-bioc-graph 1.42.0

=== DESCRIPTION ===
Package: graph
Title: graph: A package to handle graph data structures
Version: 1.42.0
Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
Description: A package that implements some simple graph handling
        capabilities.
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
License: Artistic-2.0
Depends: R (>= 2.10), methods
Imports: methods, stats, stats4, tools, utils, BiocGenerics (>= 0.1.11)
Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster
Enhances: Rgraphviz
Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
        methods-graph.R graphNEL.R clustergraph.R NELhandler.R
        edgefunctions.R graphfunctions.R GXLformals.R gxlReader.R
        random.R write.tlp.R mat2graph.R settings.R zzz.R
        standardLabeling.R TODOT.R methods-graphAM.R attrData.R
        reverseEdgeDirections.R nodes-methods.R methods-multiGraph.R
        test_graph_package.R MultiGraph.R methods-graphBAM.R
        graph-constructors.R
LazyLoad: yes
Packaged: 2014-04-12 05:10:58 UTC; biocbuild
biocViews: GraphAndNetwork

=== debian/changelog ===
r-bioc-graph (1.42.0-1) unstable; urgency=low

  * New upstream version
  * debian/{control,copyright}: Fixed homepage
  * Add autopkgtest
  * Recommends: r-cran-xml (since it is used in unit test)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jun 2014 14:23:38 +0200

=== debian/control ===
Source: r-bioc-graph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-biocgenerics
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-graph/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/graph.html

Package: r-bioc-graph
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-bioc-biocgenerics,
         r-cran-xml
Description: handle graph data structures for BioConductor
 This BioConductor module implements some simple graph handling
 capabilities.  These are for instance used in hypergraph module
 which in turn is used by several other BioConductor packages.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-xml
Restrictions: allow-stderr

## r-bioc-graph 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.42.0
+Version: 1.46.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -8,7 +8,7 @@
  <maintainer@bioconductor.org>
 License: Artistic-2.0
 Depends: R (>= 2.10), methods
-Imports: methods, stats, stats4, tools, utils, BiocGenerics (>= 0.1.11)
+Imports: stats, stats4, tools, utils, BiocGenerics (>= 0.13.11)
 Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster
 Enhances: Rgraphviz
 Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
@@ -20,5 +20,6 @@
         test_graph_package.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2014-04-12 05:10:58 UTC; biocbuild
+Packaged: 2015-04-17 02:06:52 UTC; biocbuild
 biocViews: GraphAndNetwork
+NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.46.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 09:24:32 +0200

r-bioc-graph (1.44.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debian/copyright: adapt location of glx code

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 22:06:39 +0200

## r-bioc-graph 1.48.0

=== DESCRIPTION ===
Package: graph
Title: graph: A package to handle graph data structures
Version: 1.48.0
Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
Description: A package that implements some simple graph handling
        capabilities.
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
License: Artistic-2.0
Depends: R (>= 2.10), methods
Imports: stats, stats4, tools, utils, BiocGenerics (>= 0.13.11)
Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster
Enhances: Rgraphviz
Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
        methods-graph.R graphNEL.R clustergraph.R NELhandler.R
        edgefunctions.R graphfunctions.R GXLformals.R gxlReader.R
        random.R write.tlp.R mat2graph.R settings.R zzz.R
        standardLabeling.R TODOT.R toDotWithRI.R methods-graphAM.R
        attrData.R reverseEdgeDirections.R nodes-methods.R
        methods-multiGraph.R test_graph_package.R MultiGraph.R
        methods-graphBAM.R graph-constructors.R
LazyLoad: yes
Packaged: 2015-10-14 00:32:59 UTC; biocbuild
biocViews: GraphAndNetwork
NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.48.0-1) unstable; urgency=medium

  * New upstream version
  * Add lintian-override for false positives

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2015 15:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-biocgenerics
-Standards-Version: 3.9.5
+               r-bioc-biocgenerics (>= 0.14.0)
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/graph.html
@@ -18,7 +18,7 @@
 Depends: ${R:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         r-bioc-biocgenerics,
+         r-bioc-biocgenerics (>= 0.14.0),
          r-cran-xml
 Description: handle graph data structures for BioConductor
  This BioConductor module implements some simple graph handling

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/graph.html .*/graph_([\d\.]+)\.tar\.gz

## r-bioc-graph 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.48.0
+Version: 1.50.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
 License: Artistic-2.0
-Depends: R (>= 2.10), methods
-Imports: stats, stats4, tools, utils, BiocGenerics (>= 0.13.11)
+Depends: R (>= 2.10), methods, BiocGenerics (>= 0.13.11)
+Imports: stats, stats4, utils
 Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster
 Enhances: Rgraphviz
 Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
@@ -20,6 +20,6 @@
         methods-multiGraph.R test_graph_package.R MultiGraph.R
         methods-graphBAM.R graph-constructors.R
 LazyLoad: yes
-Packaged: 2015-10-14 00:32:59 UTC; biocbuild
+Packaged: 2016-05-04 02:37:54 UTC; biocbuild
 biocViews: GraphAndNetwork
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.50.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 08:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                cdbs,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.14.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/graph.html

## r-bioc-graph 1.52.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.50.0
+Version: 1.52.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,6 +20,6 @@
         methods-multiGraph.R test_graph_package.R MultiGraph.R
         methods-graphBAM.R graph-constructors.R
 LazyLoad: yes
-Packaged: 2016-05-04 02:37:54 UTC; biocbuild
+Packaged: 2016-10-17 22:08:05 UTC; biocbuild
 biocViews: GraphAndNetwork
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.52.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 13:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               cdbs,
+               dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.14.0)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-graph/trunk/
-Homepage: http://bioconductor.org/packages/release/bioc/html/graph.html
+Homepage: https://bioconductor.org/packages/graph/
 
 Package: r-bioc-graph
 Architecture: any
 Depends: ${R:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         r-bioc-biocgenerics (>= 0.14.0),
-         r-cran-xml
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: handle graph data structures for BioConductor
  This BioConductor module implements some simple graph handling
  capabilities.  These are for instance used in hypergraph module

## r-bioc-graph 1.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.52.0
+Version: 1.54.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,6 +20,6 @@
         methods-multiGraph.R test_graph_package.R MultiGraph.R
         methods-graphBAM.R graph-constructors.R
 LazyLoad: yes
-Packaged: 2016-10-17 22:08:05 UTC; biocbuild
+Packaged: 2017-04-24 22:25:13 UTC; biocbuild
 biocViews: GraphAndNetwork
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.54.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.0.1 (no changes needed)
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Wed, 23 Aug 2017 23:46:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.14.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-graph/trunk/
 Homepage: https://bioconductor.org/packages/graph/

## r-bioc-graph 1.56.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.54.0
+Version: 1.56.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,6 +20,6 @@
         methods-multiGraph.R test_graph_package.R MultiGraph.R
         methods-graphBAM.R graph-constructors.R
 LazyLoad: yes
-Packaged: 2017-04-24 22:25:13 UTC; biocbuild
+Packaged: 2017-10-30 22:37:29 UTC; biocbuild
 biocViews: GraphAndNetwork
 NeedsCompilation: yes

=== inst/perf/Makefile ===
BASE = graphperf
R ?= R-devel

all: $(BASE).pdf
	@echo "building perf report using $(R)"

$(BASE).pdf: $(BASE).tex
	$(R) CMD texi2dvi --pdf -c -q $<

$(BASE).tex: $(BASE).Rnw
	$(R) CMD Sweave $<

clean:
	@rm -fv $(BASE).pdf $(BASE).tex

=== debian/changelog ===
r-bioc-graph (1.56.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 18:26:25 +0100

=== debian/control ===
Source: r-bioc-graph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.14.0)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-graph.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-graph.git
Homepage: https://bioconductor.org/packages/graph/

Package: r-bioc-graph
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: handle graph data structures for BioConductor
 This BioConductor module implements some simple graph handling
 capabilities.  These are for instance used in hypergraph module
 which in turn is used by several other BioConductor packages.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/graph.html .*/graph_([\d\.]+)\.tar\.gz

## r-bioc-graph 1.58.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.56.0
+Version: 1.58.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,6 +20,6 @@
         methods-multiGraph.R test_graph_package.R MultiGraph.R
         methods-graphBAM.R graph-constructors.R
 LazyLoad: yes
-Packaged: 2017-10-30 22:37:29 UTC; biocbuild
+Packaged: 2018-04-30 22:44:00 UTC; biocbuild
 biocViews: GraphAndNetwork
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.58.0-3) unstable; urgency=medium

  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jul 2018 16:19:47 +0200

r-bioc-graph (1.58.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:26:29 +0200

r-bioc-graph (1.58.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 15:02:44 +0200

=== debian/control ===
Source: r-bioc-graph
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.13.11)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
Homepage: https://bioconductor.org/packages/graph/

Package: r-bioc-graph
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: handle graph data structures for BioConductor
 This BioConductor module implements some simple graph handling
 capabilities.  These are for instance used in hypergraph module
 which in turn is used by several other BioConductor packages.

## r-bioc-graph 1.60.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.58.0
+Version: 1.60.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -17,9 +17,14 @@
         random.R write.tlp.R mat2graph.R settings.R zzz.R
         standardLabeling.R TODOT.R toDotWithRI.R methods-graphAM.R
         attrData.R reverseEdgeDirections.R nodes-methods.R
-        methods-multiGraph.R test_graph_package.R MultiGraph.R
-        methods-graphBAM.R graph-constructors.R
+        methods-multiGraph.R MultiGraph.R methods-graphBAM.R
+        graph-constructors.R
 LazyLoad: yes
-Packaged: 2018-04-30 22:44:00 UTC; biocbuild
+Packaged: 2018-10-30 22:46:59 UTC; biocbuild
 biocViews: GraphAndNetwork
+git_url: https://git.bioconductor.org/packages/graph
+git_branch: RELEASE_3_8
+git_last_commit: e2aecb0
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.60.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Nov 2018 07:35:33 +0100

r-bioc-graph (1.58.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 15 Oct 2018 13:19:01 +0200

r-bioc-graph (1.58.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Oct 2018 13:37:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.11)
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/graph.html .*/graph_([\d\.]+)\.tar\.gz

## r-bioc-graph 1.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.60.0
+Version: 1.62.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,11 +20,11 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2018-10-30 22:46:59 UTC; biocbuild
+Packaged: 2019-05-02 23:35:19 UTC; biocbuild
 biocViews: GraphAndNetwork
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_8
-git_last_commit: e2aecb0
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 95223bd
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.62.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 11:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.11)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/

## r-bioc-graph 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.62.0
+Version: 1.64.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,11 +20,11 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2019-05-02 23:35:19 UTC; biocbuild
+Packaged: 2019-10-29 23:33:23 UTC; biocbuild
 biocViews: GraphAndNetwork
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_9
-git_last_commit: 95223bd
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 3d35921
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 05 Nov 2019 22:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.11)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/

## r-bioc-graph 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.64.0
+Version: 1.66.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,11 +20,11 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2019-10-29 23:33:23 UTC; biocbuild
+Packaged: 2020-04-27 23:41:37 UTC; biocbuild
 biocViews: GraphAndNetwork
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_10
-git_last_commit: 3d35921
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: a09c8a9
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.66.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:05:27 +0000

r-bioc-graph (1.66.0-2) unstable; urgency=medium

  * Team Upload.

  [ Dylan Aïssi ]
  * Fix tab-in-license-text

  [ Nilesh Patra ]
  * Fix incompatible unicode (Closes: #961591)
  * Bump compat version to 13

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 27 May 2020 21:45:43 +0200

r-bioc-graph (1.66.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 16:39:29 +0200

## r-bioc-graph 1.68.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.66.0
+Version: 1.68.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,11 +20,11 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2020-04-27 23:41:37 UTC; biocbuild
+Packaged: 2020-10-28 00:38:22 UTC; biocbuild
 biocViews: GraphAndNetwork
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_11
-git_last_commit: a09c8a9
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 03ad9ed
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.68.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Nov 2020 09:29:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.11)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/
+Rules-Requires-Root: no
 
 Package: r-bioc-graph
 Architecture: any

## r-bioc-graph 1.72.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.68.0
+Version: 1.72.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,11 +20,12 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2020-10-28 00:38:22 UTC; biocbuild
+Packaged: 2021-10-26 21:35:12 UTC; biocbuild
 biocViews: GraphAndNetwork
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_12
-git_last_commit: 03ad9ed
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 7afbd26
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.72.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.72.0
  * d/control: Run cme
  * Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 15:40:25 +0530

r-bioc-graph (1.70.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 01 Sep 2021 18:16:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.13.11)
-Standards-Version: 4.5.0
+               r-bioc-biocgenerics
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/

## r-bioc-graph 1.74.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.72.0
+Version: 1.74.0
 Author: R. Gentleman, Elizabeth Whalen, W. Huber, S. Falcon
 Description: A package that implements some simple graph handling
         capabilities.
@@ -20,12 +20,12 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2021-10-26 21:35:12 UTC; biocbuild
+Packaged: 2022-04-26 20:49:07 UTC; biocbuild
 biocViews: GraphAndNetwork
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_14
-git_last_commit: 7afbd26
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 4af608a
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-graph (1.74.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 11:27:01 +0200

## r-bioc-graph 1.76.0

=== DESCRIPTION ===
Package: graph
Title: graph: A package to handle graph data structures
Version: 1.76.0
Authors@R: c(
    person("R", "Gentleman", role = "aut"),
    person("Elizabeth", "Whalen", role="aut"),
    person("W", "Huber", role="aut"),
    person("S", "Falcon", role="aut"),
    person("Halimat C.", "Atanda", role = "ctb",
        comment = "Converted 'GraphClass' vignette from Sweave to RMarkdown / HTML."
    ),
    person("Bioconductor Package Maintainer",
        role = "cre",
        email = "maintainer@bioconductor.org"
    ))
Description: A package that implements some simple graph handling
        capabilities.
License: Artistic-2.0
Depends: R (>= 2.10), methods, BiocGenerics (>= 0.13.11)
Imports: stats, stats4, utils
Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster, BiocStyle,
        knitr
Enhances: Rgraphviz
Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
        methods-graph.R graphNEL.R clustergraph.R NELhandler.R
        edgefunctions.R graphfunctions.R GXLformals.R gxlReader.R
        random.R write.tlp.R mat2graph.R settings.R zzz.R
        standardLabeling.R TODOT.R toDotWithRI.R methods-graphAM.R
        attrData.R reverseEdgeDirections.R nodes-methods.R
        methods-multiGraph.R MultiGraph.R methods-graphBAM.R
        graph-constructors.R
LazyLoad: yes
Packaged: 2022-11-01 21:41:55 UTC; biocbuild
biocViews: GraphAndNetwork
RoxygenNote: 7.1.1
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/graph
git_branch: RELEASE_3_16
git_last_commit: e3efc10
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: yes
Author: R Gentleman [aut],
  Elizabeth Whalen [aut],
  W Huber [aut],
  S Falcon [aut],
  Halimat C. Atanda [ctb] (Converted 'GraphClass' vignette from Sweave to
    RMarkdown / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-graph (1.76.0-2) unstable; urgency=medium

  * lintian-overrides (see lintian bug #1017966)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 18:47:17 +0100

r-bioc-graph (1.76.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:42:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/

## r-bioc-graph 1.78.0

=== DESCRIPTION ===
Package: graph
Title: graph: A package to handle graph data structures
Version: 1.78.0
Authors@R: c(
        person("R", "Gentleman", role = "aut"),
        person("Elizabeth", "Whalen", role="aut"),
        person("W", "Huber", role="aut"),
        person("S", "Falcon", role="aut"),
        person("Halimat C.", "Atanda", role = "ctb",
                comment = "Converted 'MultiGraphClass' and 'GraphClass' vignettes from Sweave to RMarkdown / HTML."
        ),   
        person("Paul", "Villafuerte", role = "ctb",
                comment = "Converted 'clusterGraph' vignette from Sweave to RMarkdown / HTML."
        ),
        person("Aliyu Atiku", "Mustapha", role = "ctb",
                comment = "Converted 'Graph' vignette from Sweave to RMarkdown / HTML."
        ),
        person("Bioconductor Package Maintainer", role = "cre",
                email = "maintainer@bioconductor.org"
        ))
Description: A package that implements some simple graph handling
        capabilities.
License: Artistic-2.0
Depends: R (>= 2.10), methods, BiocGenerics (>= 0.13.11)
Imports: stats, stats4, utils
Suggests: SparseM (>= 0.36), XML, RBGL, RUnit, cluster, BiocStyle,
        knitr
Enhances: Rgraphviz
Collate: AllClasses.R AllGenerics.R bitarray.R buildDepGraph.R
        methods-graph.R graphNEL.R clustergraph.R NELhandler.R
        edgefunctions.R graphfunctions.R GXLformals.R gxlReader.R
        random.R write.tlp.R mat2graph.R settings.R zzz.R
        standardLabeling.R TODOT.R toDotWithRI.R methods-graphAM.R
        attrData.R reverseEdgeDirections.R nodes-methods.R
        methods-multiGraph.R MultiGraph.R methods-graphBAM.R
        graph-constructors.R
LazyLoad: yes
Packaged: 2023-04-25 21:17:35 UTC; biocbuild
biocViews: GraphAndNetwork
RoxygenNote: 7.1.1
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/graph
git_branch: RELEASE_3_17
git_last_commit: 9df68e8
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: yes
Author: R Gentleman [aut],
  Elizabeth Whalen [aut],
  W Huber [aut],
  S Falcon [aut],
  Halimat C. Atanda [ctb] (Converted 'MultiGraphClass' and 'GraphClass'
    vignettes from Sweave to RMarkdown / HTML.),
  Paul Villafuerte [ctb] (Converted 'clusterGraph' vignette from Sweave
    to RMarkdown / HTML.),
  Aliyu Atiku Mustapha [ctb] (Converted 'Graph' vignette from Sweave to
    RMarkdown / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-graph (1.78.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 15:40:18 +0200

## r-bioc-graph 1.80.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.78.0
+Version: 1.80.0
 Authors@R: c(
         person("R", "Gentleman", role = "aut"),
         person("Elizabeth", "Whalen", role="aut"),
@@ -10,7 +10,7 @@
                 comment = "Converted 'MultiGraphClass' and 'GraphClass' vignettes from Sweave to RMarkdown / HTML."
         ),   
         person("Paul", "Villafuerte", role = "ctb",
-                comment = "Converted 'clusterGraph' vignette from Sweave to RMarkdown / HTML."
+                comment = "Converted vignettes from Sweave to RMarkdown / HTML."
         ),
         person("Aliyu Atiku", "Mustapha", role = "ctb",
                 comment = "Converted 'Graph' vignette from Sweave to RMarkdown / HTML."
@@ -35,15 +35,15 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2023-04-25 21:17:35 UTC; biocbuild
+Packaged: 2023-10-24 21:26:54 UTC; biocbuild
 biocViews: GraphAndNetwork
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_17
-git_last_commit: 9df68e8
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: d6b871a
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
 Author: R Gentleman [aut],
   Elizabeth Whalen [aut],
@@ -51,8 +51,8 @@
   S Falcon [aut],
   Halimat C. Atanda [ctb] (Converted 'MultiGraphClass' and 'GraphClass'
     vignettes from Sweave to RMarkdown / HTML.),
-  Paul Villafuerte [ctb] (Converted 'clusterGraph' vignette from Sweave
-    to RMarkdown / HTML.),
+  Paul Villafuerte [ctb] (Converted vignettes from Sweave to RMarkdown /
+    HTML.),
   Aliyu Atiku Mustapha [ctb] (Converted 'Graph' vignette from Sweave to
     RMarkdown / HTML.),
   Bioconductor Package Maintainer [cre]

=== debian/changelog ===
r-bioc-graph (1.80.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 20:48:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/

## r-bioc-graph 1.82.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.80.0
+Version: 1.82.0
 Authors@R: c(
         person("R", "Gentleman", role = "aut"),
         person("Elizabeth", "Whalen", role="aut"),
         person("W", "Huber", role="aut"),
         person("S", "Falcon", role="aut"),
+        person("Jeff", "Gentry", role="aut"),
+        person("Paul", "Shannon", role="aut"),
         person("Halimat C.", "Atanda", role = "ctb",
                 comment = "Converted 'MultiGraphClass' and 'GraphClass' vignettes from Sweave to RMarkdown / HTML."
         ),   
@@ -35,20 +37,23 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2023-10-24 21:26:54 UTC; biocbuild
+Packaged: 2024-05-01 04:03:14 UTC; biocbuild
 biocViews: GraphAndNetwork
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_18
-git_last_commit: d6b871a
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: e3ea15c
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
 Author: R Gentleman [aut],
   Elizabeth Whalen [aut],
   W Huber [aut],
   S Falcon [aut],
+  Jeff Gentry [aut],
+  Paul Shannon [aut],
   Halimat C. Atanda [ctb] (Converted 'MultiGraphClass' and 'GraphClass'
     vignettes from Sweave to RMarkdown / HTML.),
   Paul Villafuerte [ctb] (Converted vignettes from Sweave to RMarkdown /

=== debian/changelog ===
r-bioc-graph (1.82.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:32:45 +0200

r-bioc-graph (1.82.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 11:26:31 +0200

r-bioc-graph (1.82.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics
+               r-bioc-biocgenerics (>= 0.50.0),
+               architecture-is-64-bit
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
@@ -18,9 +19,12 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-rbgl (>= 1.80.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: handle graph data structures for BioConductor
  This BioConductor module implements some simple graph handling
  capabilities.  These are for instance used in hypergraph module

## r-bioc-graph 1.84.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: graph
 Title: graph: A package to handle graph data structures
-Version: 1.82.0
+Version: 1.84.1
 Authors@R: c(
         person("R", "Gentleman", role = "aut"),
         person("Elizabeth", "Whalen", role="aut"),
@@ -37,16 +37,16 @@
         methods-multiGraph.R MultiGraph.R methods-graphBAM.R
         graph-constructors.R
 LazyLoad: yes
-Packaged: 2024-05-01 04:03:14 UTC; biocbuild
+Packaged: 2025-01-02 22:34:00 UTC; biocbuild
 biocViews: GraphAndNetwork
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/graph
-git_branch: RELEASE_3_19
-git_last_commit: e3ea15c
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 41ac6e9
+git_last_commit_date: 2024-12-30
+Repository: Bioconductor 3.20
+Date/Publication: 2025-01-02
 NeedsCompilation: yes
 Author: R Gentleman [aut],
   Elizabeth Whalen [aut],

=== debian/changelog ===
r-bioc-graph (1.84.1-2) unstable; urgency=medium

  * Team upload.
  * Don't crash when removing an empty edge list.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Apr 2025 18:33:40 +0100

r-bioc-graph (1.84.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:11:21 +0100

r-bioc-graph (1.84.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 22:01:57 +0100

r-bioc-graph (1.84.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 11:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biocgenerics,
                architecture-is-64-bit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-graph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-graph.git
 Homepage: https://bioconductor.org/packages/graph/
@@ -19,12 +19,9 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-rbgl (>= 1.80.0),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: handle graph data structures for BioConductor
  This BioConductor module implements some simple graph handling
  capabilities.  These are for instance used in hypergraph module

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/graph.html .*/graph_([\d\.]+)\.tar\.gz
